Main Page Class Hierarchy Data Structures File List Data Fields Globals

# PV2WayTestExtensionInterface Class Reference

`#include <pv_2way_test_extension_interface.h>`

## Public Methods
virtual void | addRef ()=0
virtual void | removeRef ()=0
virtual bool | queryInterface (const PVUuid &uuid, PVInterface *&iface)=0
virtual bool | NegotiatedFormatsMatch (Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > &iInAudFormatCapability, Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > &iOutAudFormatCapability, Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > &iInVidFormatCapability, Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > &iOutVidFormatCapability)=0
virtual bool | UsingExternalVideoDecBuffers ()=0
virtual bool | UsingExternalAudioDecBuffers ()=0

## Member Function Documentation

virtual void PV2WayTestExtensionInterface::addRef | ( |  | ) | `[pure virtual]`

| Increment reference counter for this interface.

virtual bool PV2WayTestExtensionInterface::NegotiatedFormatsMatch | ( | Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > & | iInAudFormatCapability,
|  | Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > & | iOutAudFormatCapability,
|  | Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > & | iInVidFormatCapability,
|  | Oscl_Vector< FormatCapabilityInfo, OsclMemAllocator > & | iOutVidFormatCapability
| ) | `[pure virtual]`

virtual bool PV2WayTestExtensionInterface::queryInterface | ( | const PVUuid & | uuid,
|  | PVInterface *& | iface
| ) | `[pure virtual]`

  | Query for a pointer to an instance of the interface specified by the UUID. Parameters:
  uuid | UUID of the interface to be queried.
  iface | Output parameter where a pointer to an instance of the requested interface is stored if the interface is supported.
Returns: True if successful, else false.

virtual void PV2WayTestExtensionInterface::removeRef | ( |  | ) | `[pure virtual]`

| Decrement reference counter for this interface.

virtual bool PV2WayTestExtensionInterface::UsingExternalAudioDecBuffers | ( |  | ) | `[pure virtual]`

virtual bool PV2WayTestExtensionInterface::UsingExternalVideoDecBuffers | ( |  | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- pv_2way_test_extension_interface.h